Subject: Re: bug#52676: 28.0.50; [PATCH] Rationalize window-text-pixel-size
From: Po Lu <[email-masked]>
To: dick <[email-masked]>
Cc: [email-masked]
Date: Mon, 20 Dec 2021 11:26:32 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

dick <[email-masked]> writes:

> Even if 43c4cc2 did anything (it doesn't), it was obviously the wrong
> way to go about it.

On the contrary, it does.  The pixel-scrolling code works on a line with
a line-prefix because of it.

> +	    (car (window-text-pixel-size
> +                  nil (line-beginning-position) (line-end-position)))))))))

This suggests that it will not work for the usecase that the option was
intended to support, because the position `line-beginning-position'
might not be on the start of the visual line.  Trust me, I tried quite a
few options including precisely this before implementing this option.

Closing.